{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'Belka'     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
Up             { choose your own names }
Vp
 SELECT         { method controls }
errlim = 1.0e-5
painted
 DEFINITIONS    { parameter definitions }
a=0.002
c=3
L=10
H=0.8
Q1=-5e8
Q2=-8e8
b1=0.002
b2=0.02
    E                   { declare Young's Modulus - values come later }
    nu                  { declare Poisson's Ratio - values come later }

                         { define the constitutive relations }
    G = E/((1.+nu)*(1.-2.*nu))
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2
    
 
                        { define some utility functions }
    ex = dx(Up)
    ey = dy(Vp)
    gxy = dy(Up) + dx(Vp)       { *corrected 2/15/98 }
    Sx  =  C11*ex + C12*ey 
    Sy  =  C12*ex + C22*ey 
    Txy =  C33*gxy
 
 
initial values
            { give FlexPDE an estimate of variable range }
    Up = 1.e-5
    Vp = 1.e-5
 
equations
 
     { the U-displacement equation }
    Up:	dx(Sx)+dy(Txy)=0
 
    { the V-displacement equation }
    Vp:	dx(Txy)+dy(Sy)=0
{constraints         
integral(up) = 0                    { cancel X-motion }
    integral(vp) = 0                    { cancel Y-motion }}

BOUNDARIES       { The domain definition }

  REGION 1       { For each material region }
E=5e9
nu=0.25

    START(0,0)   { Walk the domain boundary }
value(Vp)=0 value(Up)=0 line to (a,0)
load(Up)=0 load(Vp)=0 line to (L-c,0)
Value(Vp)=0 load(Up)=0 line to (L-c+a,0)
Load(Up)=0 load(Vp)=0 line to (L,0) to (L,H)
load(Up)=0 load(Vp)=Q1 line to (L-b1,H)
load(Up)=0 load(Vp)=0 line to ((L+b2)/2,H)
Load(Up)=0 Load(Vp)=Q2 line to ((L-b2)/2,H)
Load(Up)=0 load(Vp)=0 line to (0,H) to close


! TIME 0 TO 1    { if time dependent }
MONITORS         { show progress }
contour(Up)
contour(Vp)
PLOTS            { save result displays }
  CONTOUR(Up)
Contour (Vp)
grid(x+Up,y+Vp)
contour(Sx)
contour(Sy)
contour(Txy)

End





END
