{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'Belka'     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  Up             { choose your own names }
Vp
 SELECT         { method controls }
errlim = 1.0e-5
painted
contours 200 	Textsize 80	contourgrid=500
 DEFINITIONS    { parameter definitions }
 a=0.002
L=10
H=0.8
Q=-10000
b=1
    E                   { declare Young's Modulus - values come later }
    nu                  { declare Poisson's Ratio - values come later }

                         { define the constitutive relations }
    G = E/((1.+nu)*(1.-2.*nu))
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2


                        { define some utility functions }
    ex = dx(Up)
    ey = dy(Vp)
e1=ex+ey
    gxy = dy(Up) + dx(Vp)       { *corrected 2/15/98 }
    Sx  =  C11*ex + C12*ey
    Sy  =  C12*ex + C22*ey
    Txy =  C33*gxy


initial values
            { give FlexPDE an estimate of variable range }
    Up = 1.e-5
    Vp = 1.e-5

equations

     { the U-displacement equation }
    Up:	dx(C11*dx(Up)+C12*dy(Vp))+ dy(C33*(dy(Up)+dx(Vp))) = 0.

    { the V-displacement equation }
    Vp:	dx(C33*(dy(Up)+dx(Vp)))+ dy(C12*dx(Up)+C22*dy(Vp))-1e4= 0.
{constraints
integral(up) = 0                    { cancel X-motion }
    integral(vp) = 0                    { cancel Y-motion }}

BOUNDARIES       { The domain definition }

  REGION 1       { For each material region }
E=5e9
nu=0.25

    START(0,0)   { Walk the domain boundary }
value(Vp)=0 value(Up)=0 line to (a,0)
load(Up)=0 load(Vp)=0 line to (L-a,0)
Value(Vp)=0 load(Up)=0 line to (L,0)
Load(Up)=0 load(Vp)=0 line to (L,H)
to ((L+b)/2,H)
Load(Up)=0 Load(Vp)=Q line to ((L-b)/2,H)
Load(Up)=0 load(Vp)=0 line to (0,H) to close


! TIME 0 TO 1    { if time dependent }
MONITORS         { show progress }
contour(Up)
contour(Vp)
PLOTS            { save result displays }
  CONTOUR(Up)
vector(Up,0)  norm
Contour (Vp)
grid(x+1000*Up,y+1000*Vp)
contour(Sx) zoom(0,0,L,1.4*H)
contour(Sy) zoom(0,0,L,1.4*H)
contour(Txy) zoom(0,0,L,1.4*H)
contour(e1) zoom(0,0,L,1.4*H)
vector(Up,Vp) zoom(0,0,L,1.4*H)
elevation (Up) from (0,0) to (L,0)
elevation (Up) from (0,H) to (L,H)
elevation (Vp) from (0,0) to (L,0)
elevation (Vp) from (0,H) to (L,H)
End





END

