TITLE 'Belka'     { Nazwa rozwizywanego zagadnienia }
COORDINATES cartesian2  {ukad wsprzdnych, 1D,2D,3D, etc }
VARIABLES        { okreslenie wielkoci niewiadomych }
! Przemieszczenia w kierunku poziomym
    Up            
! Przemieszczenia w kierunku pionowym
	Vp
SELECT         { method controls }
! Dokadno oblicze	
	errlim = 1.0e-5
! wykresy w kolorach
!	painted
! Parametry sterujace wydrukiem
contours 350 	Textsize 120	Contourgrid=700
DEFINITIONS    { Definicja parametrw zadania }
! Definicja wielkoci geometrycznych
	a=0.002
	L=10
	H=0.8
	b=0.001
! Definicja wartosci obcienia
	Qy=-1e4/b
	Qx=5e4/b
! Definicja wasnoci materiau
    E                   { declare Young's Modulus - values come later }
    nu                  { declare Poisson's Ratio - values come later }
! Zwizki konstytutywne teorii sprzystoci
! Stae materiaowe
    G = E/((1.+nu)*(1.-2.*nu))
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2
! Odksztacenia
    ex = dx(Up)
    ey = dy(Vp)
	e1=ex+ey
    gxy = dy(Up) + dx(Vp)
! Naprenia    
    Sx  =  C11*ex + C12*ey
    Sy  =  C12*ex + C22*ey
    Txy =  C33*gxy

initial values
            { Wartoci pocztkowe niewiadomych}
    Up = 1.e-5
    Vp = 1.e-5

equations
! Rwnianie dla okrelenia niewiadomej Up
    Up:	dx(C11*dx(Up)+C12*dy(Vp))+ dy(C33*(dy(Up)+dx(Vp))) = 0.
! Rwnianie dla okrelenia niewiadomej Vp
    Vp:	dx(C33*(dy(Up)+dx(Vp)))+ dy(C12*dx(Up)+C22*dy(Vp))-2.5e4= 0.

BOUNDARIES       {Okrelenie warunkw brzegowych }

  REGION 1       { Dla okreslonego rodzaju materiau }
E=5e9
nu=0.25

    START(0,0)  { Dla poozenia punktu pocztkowego }
value(Vp)=0 value(Up)=0 line to (a,0)
load(Up)=0 load(Vp)=0 line to (L-a,0)
Value(Vp)=0 load(Up)=0 line to (L,0)
Load(Up)=0 load(Vp)=0 line to (L,H)
to ((L+b)/2,H)
Load(Up)=Qx*b Load(Vp)=Qy*b line to ((L-b)/2,H)
Load(Up)=0 load(Vp)=0 line to (0,H) to close

MONITORS         { podgld procesu oblicze }
contour(Up) painted
contour(Vp) painted
PLOTS            { edycja wykresw }
  CONTOUR(Up)
vector(Up,0)  zoom(0,0,L,H) norm
Contour (Vp)
grid(x+500*Up,y+500*Vp)
contour(Sx) zoom(0,0,L,H)
contour(Sy) 
contour(Txy) 
vector(Up,Vp) zoom(0,0,L,H) painted
elevation (Up) from (0,0) to (L,0)
elevation (Up) from (0,H) to (L,H)
elevation (Vp) from (0,0) to (L,0)
elevation (Vp) from (0,H) to (L,H)

End

