TITLE 'Drgania ramy '     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  Up(threshold=1)             { choose your own names }
  Vp(threshold=1)
  {Upp(threshold=1)
  Vpp(threshold=1)}
 SELECT         { method controls }
errlim = 1.0e-2
!painted
contours 250 	Textsize 120	contourgrid=500
DEFINITIONS    { parameter definitions }
a=2.0
c=4.0
B=5.0
L=10.0
H=10.0
Q=-100000
P=200000
{bt=0.01
ro=2.5e3
mu=5e3}
gz=9.81
ro=7.5e3
    E                   { declare Young's Modulus - values come later }
    nu                  { declare Poisson's Ratio - values come later }
 
                         { define the constitutive relations }
    G = E/((1.+nu)*(1.-2.*nu))
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2
                        { define some utility functions }
    ex = dx(Up)
    ey = dy(Vp)
    e1=ex+ey
    gxy = (dy(Up) + dx(Vp))/2       { *corrected 2/15/98 }
    Sx  =  C11*ex + C12*ey
    Sy  =  C12*ex + C22*ey
    Txy =  C33*gxy
 
initial values
            { give FlexPDE an estimate of variable range }
    Up = 0
    Vp = 0
 {   Upp=0
    Vpp=0}
equations
Up: dx(Sx)+dy(Txy)=0
Vp: dx(Txy)+dy(Sy)-ro*gz=0
 
BOUNDARIES       { The domain definition }
 
  REGION 1       { For each material region }
E=1e10
nu=0.25
 
START (L,0-B-H-2*a)
value (Vp)=0 value (Up)=0  line to (L+a,0-B-H-2*a) to (L+a,0-B-H-a)
load (Vp)=0 load (Up)=0   line to (L+a,0-B-a) to (2*L+a,0-B-a) to (2*L+a,0-B)
load (Up)=0 load (Vp)=Q line to (L+a,0-B)
load (Up)=0 load(Vp)=0  line to (L+a,0+a) to (c+0.5,0+a)
load (Up)=0 load(Vp)=-P line to (c-0.5,0+a)
load (Up)=0 load (Vp)=0 line to (0+1,0+a)
load (Up)=0 load (Vp)=P line to (0,a)
load (Up)=0 load (Vp)=0  line to (0, 0.5*a+0.5)
load (Up)=-P load (Vp)=0 line to (0,0.5*a-0.5)
load (Up)=0 load (Vp)=0 line to (0,0) to (L,0) to (L,0-B-a-H)
value (Up)=0 value (Vp)=0  line to close
 
 
 
MONITORS
	
contour(Up)
contour(Vp)
 
PLOTS
 
Contour(Up) painted
Contour(Vp) painted
grid(x,y)
grid(x+25*Up,y+25*Vp)
contour(Sx)
contour(Sy)
contour(Txy)
contour(e1)
vector(Up,Vp) norm
elevation (Up) from (0,0) to (L,0)
elevation (Up) from (L,-B-2*a-H) to (L,0)
elevation (Vp) from (0,0) to (L,0)
elevation (Vp)from (L,-B-2*a-H) to (L,0)
 
END
