TITLE 'Drgania ramy '     { the problem identification }
COORDINATES cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  Up(threshold=1)             { choose your own names }
  Vp(threshold=1)
  Upp(threshold=1)
  Vpp(threshold=1)
 SELECT         { method controls }
errlim = 1.0e-2
!painted
contours 250 	Textsize 120	contourgrid=500
DEFINITIONS    { parameter definitions }
a=2.0
c=4.0
B=5.0
L=10.0
H=10.0
Q=-100000
P=200000
bt=0.01
ro=2.5e3
mu=5e3
gz=9.81
    E                   { declare Young's Modulus - values come later }
    nu                  { declare Poisson's Ratio - values come later }
 
                         { define the constitutive relations }
    G = E/((1.+nu)*(1.-2.*nu))
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2
                        { define some utility functions }
    ex = dx(Up)
    ey = dy(Vp)
    e1=ex+ey
    gxy = dy(Up) + dx(Vp)       { *corrected 2/15/98 }
    Sx  =  C11*ex + C12*ey
    Sy  =  C12*ex + C22*ey
    Txy =  C33*gxy
 
initial values
            { give FlexPDE an estimate of variable range }
    Up = 0
    Vp = 0
    Upp=0
    Vpp=0
equations
   Upp: Upp=dt(Up)
   Vpp: Vpp=dt(Vp)
 { the U-displacement equation }
    Up:	dx(C11*dx(Up)+C12*dy(Vp))+ dy(C33*(dy(Up)+dx(Vp)))+ mu*div(grad(Up)) = ro*dt(Upp)
    { the V-displacement equation }
    Vp:	dx(C33*(dy(Up)+dx(Vp)))+ dy(C12*dx(Up)+C22*dy(Vp))+ mu*div(grad(Vp)) -ro*gz=ro*dt(Vpp)
{constraints
integral(up) = 0                    { cancel X-motion }
    integral(vp) = 0                    { cancel Y-motion }}
 
BOUNDARIES       { The domain definition }
 
  REGION 1       { For each material region }
E=1e10
nu=0.25
 
START (L,0-B-H-2*a)
value (Vp)=0 value (Up)=0 value (Vpp)=0 value (Upp)=0 line to (L+a,0-B-H-2*a) to (L+a,0-B-H-a)
load (Vp)=0 load (Up)=0 load (Vpp)=0 load (Upp)=0  line to (L+a,0-B-a) to (2*L+a,0-B-a) to (2*L+a,0-B)
load (Up)=0 load (Vp)=Q load (Vpp)=0 load (Upp)=0 line to (L+a,0-B)
load (Up)=0 load(Vp)=0 load (Vpp)=0 load (Upp)=0 line to (L+a,0+a) to (c+0.5,0+a)
load (Up)=0 load(Vp)=-P load (Vpp)=0 load (Upp)=0 line to (c-0.5,0+a)
load (Up)=0 load (Vp)=0 load (Vpp)=0 load (Upp)=0 line to (0+1,0+a)
load (Up)=0 load (Vp)=P load (Vpp)=0 load (Upp)=0line to (0,a)
load (Up)=0 load (Vp)=0 load (Vpp)=0 load (Upp)=0 line to (0, 0.5*a+0.5)
load (Up)=-P load (Vp)=0load (Vpp)=0 load (Upp)=0 line to (0,0.5*a-0.5)
load (Up)=0 load (Vp)=0 load (Vpp)=0 load (Upp)=0line to (0,0) to (L,0) to (L,0-B-a-H)
value (Up)=0 value (Vp)=0 value (Vpp)=0 value (Upp)=0 line to close
 
time 0 to 50
 
MONITORS
	for cycle=400
contour(Up)
contour(Vp)
PLOTS
 for t=0,0.1,0.5,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,30,35,40,45,50
Contour(Up)
Contour(Vp)
grid(x,y)
grid(x+25*Up,y+25*Vp)
contour(Sx)
contour(Sy)
contour(Txy)
contour(e1)
vector(Up,Vp) norm
elevation (Up) from (0,0) to (L,0)
elevation (Up) from (L,-B-2*a-H) to (L,0)
elevation (Vp) from (0,0) to (L,0)
elevation (Vp)from (L,-B-2*a-H) to (L,0)
history(Up) at (c-0.5,0+a)
history(Vp) at (c-0.5,0+a)
history(Upp) at (c-0.5,0+a)
history(Vpp) at (c-0.5,0+a)
 
END
